"""add next_steps to sessions

Revision ID: 034
Revises: 033
Create Date: 2026-02-13

Adds next_steps TEXT column to sessions table.
"""
from typing import Sequence, Union

from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision: str = '034'
down_revision: Union[str, None] = '033'
branch_labels: Union[str, Sequence[str], None] = None
depends_on: Union[str, Sequence[str], None] = None


def upgrade() -> None:
    op.add_column('sessions', sa.Column('next_steps', sa.Text(), server_default=sa.text("''"), nullable=True))


def downgrade() -> None:
    op.drop_column('sessions', 'next_steps')
